<?php

function wfm_setting_reset() {
  update_option('wfm_display_variation', 1);
  update_option('wfm_image_size', 40);
  update_option('wfm_display_mini_cart', 1);
  update_option('wfm_display_type', 0);
  update_option('wfm_display_image_preview', 1);
  update_option('wfm_display_image', 1);
  update_option('wfm_cart_template', 'red');
  update_option('wfm_exc_cat', '');
  update_option('wfm_menu_bg_color', 'F52727');
  update_option('wfm_menu_hover_color', '222222');
  update_option('wfm_menu_text_color', 'FFFFFF');
  update_option('wfm_submenu_bg_color', 'FFFFFF');
  update_option('wfm_prod_name_color', '000000');
  update_option('wfm_prod_name_hover_color', '292929');
  update_option('wfm_prod_des_color', '000000');
  update_option('wfm_search_bg_color', 'ffffff');
  update_option('wfm_search_border_color', 'F52727');
  update_option('wfm_search_text_color', 'F52727');
  update_option('wfm_item_bg', 'cccccc');
  update_option('wfm_border', 'f6f6f6');
}

function wfm_product_dropdown_categories($args = array(), $deprecated_hierarchical = 1, $deprecated_show_uncategorized = 1, $deprecated_orderby = '') {
  global $wp_query;
  global $woocommerce;
  if (!is_array($args)) {
    _deprecated_argument('wc_product_dropdown_categories()', '2.1', 'show_counts, hierarchical, show_uncategorized and orderby arguments are invalid - pass a single array of values instead.');
    $args['show_counts'] = $args;
    $args['hierarchical'] = $deprecated_hierarchical;
    $args['show_uncategorized'] = $deprecated_show_uncategorized;
    $args['orderby'] = $deprecated_orderby;
  }
  $current_product_cat = isset($wp_query->query['product_cat']) ? $wp_query->query['product_cat'] : '';
  $defaults = array(
      'pad_counts' => 1,
      'show_counts' => 1,
      'hierarchical' => 1,
      'hide_empty' => 1,
      'show_uncategorized' => 0,
      'orderby' => 'name',
      'selected' => $current_product_cat,
      'menu_order' => false
  );
  $args = wp_parse_args($args, $defaults);
  if ($args['orderby'] == 'order') {
    $args['menu_order'] = 'asc';
    $args['orderby'] = 'name';
  }
  $terms = get_terms('product_cat', apply_filters('wc_product_dropdown_categories_get_terms_args', $args));
  if (get_option('wfm_exc_cat')) {
    $exc_cats_slug = explode(',', get_option('wfm_exc_cat'));
    foreach ($terms as $key => $val) {
      if (in_array($val->slug, $exc_cats_slug)) {
        unset($terms[$key]);
      }
    }
  }
  if (!$terms) {
    return;
  }

  $output = "<select name='product_cat' class='dropdown_product_cat'>";
  $output .= '<option value="" ' . selected($current_product_cat, '', false) . '>' . __('Select a category', 'woocommerce') . '</option>';
  $output .= wc_walk_category_dropdown_tree($terms, 0, $args);
  if ($args['show_uncategorized']) {
    $output .= '<option value="0" ' . selected($current_product_cat, '0', false) . '>' . __('Uncategorized', 'woocommerce') . '</option>';
  }
  $output .= "</select>";

  echo $output;
}

function wfm_setting() {
  if (!class_exists('Woocommerce')) {
    echo '<div id="message" class="error"><p>Please Activate Wp WooCommerce Plugin</p></div>';
    return false;
  }
  if (isset($_POST['wfm_status_submit']) && $_POST['wfm_status_submit'] == 1) {
    update_option('wfm_display_variation', $_POST['wfm_display_variation']);
    update_option('wfm_image_size', $_POST['wfm_image_size']);
    update_option('wfm_display_mini_cart', $_POST['wfm_display_mini_cart']);
    update_option('wfm_display_type', $_POST['wfm_display_type']);
    update_option('wfm_display_image_preview', $_POST['wfm_display_image_preview']);
    update_option('wfm_display_image', $_POST['wfm_display_image']);
    update_option('wfm_cart_template', $_POST['wfm_cart_template']);
    update_option('wfm_exc_cat', $_POST['wfm_exc_cat']);
    update_option('wfm_menu_bg_color', $_POST['wfm_menu_bg_color']);
    update_option('wfm_menu_hover_color', $_POST['wfm_menu_hover_color']);
    update_option('wfm_menu_text_color', $_POST['wfm_menu_text_color']);
    update_option('wfm_submenu_bg_color', $_POST['wfm_submenu_bg_color']);
    update_option('wfm_prod_name_color', $_POST['wfm_prod_name_color']);
    update_option('wfm_prod_name_hover_color', $_POST['wfm_prod_name_hover_color']);
    update_option('wfm_prod_des_color', $_POST['wfm_prod_des_color']);
    update_option('wfm_search_bg_color', $_POST['wfm_search_bg_color']);
    update_option('wfm_search_border_color', $_POST['wfm_search_border_color']);
    update_option('wfm_search_text_color', $_POST['wfm_search_text_color']);
    update_option('wfm_item_bg', $_POST['wfm_item_bg']);
    update_option('wfm_border', $_POST['wfm_border']);
  }

  if (isset($_POST['wfm_status_submit']) && $_POST['wfm_status_submit'] == 2) {
    wfm_setting_reset();
  }
  ?>
  <h2>Settings</h2>
  <form method="post" id="wfm_options">	
    <input type="hidden" name="wfm_status_submit" id="wfm_status_submit" value="2"  />
    <table width="100%" cellspacing="2" cellpadding="5" class="widefat">
      <tr style="display: none;" valign="top"> 
        <td width="150" scope="row"><?php _e("Display Variations", "wfm-lang"); ?>:</td>
        <td>
          <select name="wfm_display_variation">
            <option value="1"<?php if (get_option('wfm_display_variation') == '1'): ?> selected="selected"<?php endif; ?>>Yes<?php _e("Color", "wfm-lang"); ?></option>
  <!--                  <option value="0"<?php //if (get_option('wfm_display_variation')=='0'):  ?> selected="selected"<?php //endif;  ?>>No</option>                -->
          </select>
        </td>
      </tr>

      <tr valign="top"> 
        <td width="150" scope="row"><?php _e("Product image size", "wfm-lang"); ?>:</td>
        <td>
          <select name="wfm_image_size">
            <option value="16"<?php if (get_option('wfm_image_size') == 16): ?> selected="selected"<?php endif; ?>>16x16</option>
            <option value="32"<?php if (get_option('wfm_image_size') == 32): ?> selected="selected"<?php endif; ?>>32x32</option>
            <option value="40"<?php if (get_option('wfm_image_size') == 40): ?> selected="selected"<?php endif; ?>>40x40</option>
            <option value="48"<?php if (get_option('wfm_image_size') == 48): ?> selected="selected"<?php endif; ?>>48x48</option>
            <option value="64"<?php if (get_option('wfm_image_size') == 64): ?> selected="selected"<?php endif; ?>>64x64</option>
          </select>
        </td>
      </tr>
      <tr valign="top"> 
        <td width="150" scope="row"><?php _e("Display Mini Cart", "wfm-lang"); ?>:</td>
        <td>
          <select name="wfm_display_mini_cart">
            <option value="1"<?php if (get_option('wfm_display_mini_cart') == '1'): ?> selected="selected"<?php endif; ?>><?php _e("Yes", "wfm-lang"); ?></option>
            <option value="0"<?php if (get_option('wfm_display_mini_cart') == '0'): ?> selected="selected"<?php endif; ?>><?php _e("No", "wfm-lang"); ?></option>                
          </select>
        </td>
      </tr>
      <tr valign="top"> 
        <td width="150" scope="row"><?php _e("Display Type", "wfm-lang"); ?>:</td>
        <td>
          <select name="wfm_display_type">
            <option value="1"<?php if (get_option('wfm_display_type') == '1'): ?> selected="selected"<?php endif; ?>><?php _e("Show content", "wfm-lang"); ?></option>
            <option value="0"<?php if (get_option('wfm_display_type') == '0'): ?> selected="selected"<?php endif; ?>><?php _e("Hide content", "wfm-lang"); ?></option>                
          </select>
        </td>
      </tr>
      <tr valign="top"> 
        <td width="150" scope="row"><?php _e("Display Image", "wfm-lang"); ?>:</td>
        <td>
          <select name="wfm_display_image">
            <option value="1"<?php if (get_option('wfm_display_image') == '1'): ?> selected="selected"<?php endif; ?>><?php _e("Yes", "wfm-lang"); ?></option>
            <option value="0"<?php if (get_option('wfm_display_image') == '0'): ?> selected="selected"<?php endif; ?>><?php _e("No", "wfm-lang"); ?></option>                
          </select>
        </td>
      </tr>
      <tr valign="top"> 
        <td width="150" scope="row"><?php _e("Display Image Preview", "wfm-lang"); ?>:</td>
        <td>
          <select name="wfm_display_image_preview">
            <option value="1"<?php if (get_option('wfm_display_image_preview') == '1'): ?> selected="selected"<?php endif; ?>><?php _e("Yes", "wfm-lang"); ?></option>
            <option value="0"<?php if (get_option('wfm_display_image_preview') == '0'): ?> selected="selected"<?php endif; ?>><?php _e("No", "wfm-lang"); ?></option>                
          </select>
        </td>
      </tr>
      <tr valign="top"> 
        <td width="150" scope="row"><?php _e("Mini Cart Template", "wfm-lang"); ?>:</td>
        <td>
          <select name="wfm_cart_template">
            <option value="red"<?php if (get_option('wfm_cart_template') == 'red'): ?> selected="selected"<?php endif; ?>><?php _e("Red", "wfm-lang"); ?></option>
            <option value="blue"<?php if (get_option('wfm_cart_template') == 'blue'): ?> selected="selected"<?php endif; ?>><?php _e("blue", "wfm-lang"); ?></option>
            <option value="green"<?php if (get_option('wfm_cart_template') == 'green'): ?> selected="selected"<?php endif; ?>><?php _e("Green", "wfm-lang"); ?></option>
            <option value="sky"<?php if (get_option('wfm_cart_template') == 'sky'): ?> selected="selected"<?php endif; ?>><?php _e("Sky", "wfm-lang"); ?></option>
            <option value="pink"<?php if (get_option('wfm_cart_template') == 'pink'): ?> selected="selected"<?php endif; ?>><?php _e("Pink", "wfm-lang"); ?></option>
            <option value="black"<?php if (get_option('wfm_cart_template') == 'black'): ?> selected="selected"<?php endif; ?>><?php _e("Black", "wfm-lang"); ?></option>
            <option value="grey"<?php if (get_option('wfm_cart_template') == 'grey'): ?> selected="selected"<?php endif; ?>><?php _e("Grey", "wfm-lang"); ?></option>
            <option value="yellow"<?php if (get_option('wfm_cart_template') == 'yellow'): ?> selected="selected"<?php endif; ?>><?php _e("Yellow", "wfm-lang"); ?></option>
          </select>
        </td>

      <tr valign="top"> 
        <td width="150" scope="row"><?php _e("Exclude Category", "wfm-lang"); ?></td>
        <td>
          <input type="text" name="wfm_exc_cat" id="wfm_exc_cat" value="<?php
                 if (get_option('wfm_exc_cat')) {
                   echo get_option('wfm_exc_cat');
                 }
                 ?>" />
          [<?php _e("Comma seperate Category Slug i.e. giftcerts, cap etc", "wfm-lang"); ?>]
        </td>
      </tr>   
      <tr>
        <td><?php _e("Search Button Background Color", "wfm-lang"); ?>:</td>
        <td>
          <input type="text" name="wfm_search_bg_color" size="10" id="wfm_search_bg_color" class="color" value="<?php echo get_option('wfm_search_bg_color') ?>" /> 
        </td>
      </tr>
      <tr>
        <td><?php _e("Search button Border Color", "wfm-lang"); ?>:</td>
        <td>
          <input type="text" name="wfm_search_border_color" size="10" id="wfm_search_border_color" class="color" value="<?php echo get_option('wfm_search_border_color') ?>" /> 
        </td>
      </tr>
      <tr>
        <td><?php _e("Search button Text Color", "wfm-lang"); ?>:</td>
        <td>
          <input type="text" name="wfm_search_text_color" size="10" id="wfm_search_text_color" class="color" value="<?php echo get_option('wfm_search_text_color') ?>" /> 
        </td>
      </tr>

      <tr>
        <td><?php _e("Menu Background Color", "wfm-lang"); ?>:</td>
        <td>
          <input type="text" name="wfm_menu_bg_color" size="10" id="wfm_menu_bg_color" class="color" value="<?php echo get_option('wfm_menu_bg_color') ?>" /> 
        </td>
      </tr>
      <tr>
        <td><?php _e("Menu Hover Color", "wfm-lang"); ?>:</td>
        <td>
          <input type="text" name="wfm_menu_hover_color" size="10" id="wfm_menu_hover_color" class="color" value="<?php echo get_option('wfm_menu_hover_color') ?>" /> 
        </td>
      </tr>
      <tr>
        <td><?php _e("Menu Text Color", "wfm-lang"); ?>:</td>
        <td>
          <input type="text" name="wfm_menu_text_color" size="10" id="wfm_menu_text_color" class="color" value="<?php echo get_option('wfm_menu_text_color') ?>" /> 
        </td>
      </tr>
      <tr>
        <td><?php _e("Sub Menu Background Color", "wfm-lang"); ?>:</td>
        <td>
          <input type="text" name="wfm_submenu_bg_color" size="10" id="wfm_submenu_bg_color" class="color" value="<?php echo get_option('wfm_submenu_bg_color') ?>" /> 
        </td>
      </tr>
      <tr>
        <td><?php _e("Item Name Color", "wfm-lang"); ?>:</td>
        <td>
          <input type="text" name="wfm_prod_name_color" size="10" id="wfm_prod_name_color" class="color" value="<?php echo get_option('wfm_prod_name_color') ?>" /> 
        </td>
      </tr>
      <tr>
        <td><?php _e("Item Name Hover Color", "wfm-lang"); ?>:</td>
        <td>
          <input type="text" name="wfm_prod_name_hover_color" size="10" id="wfm_prod_name_hover_color" class="color" value="<?php echo get_option('wfm_prod_name_hover_color') ?>" /> 
        </td>
      </tr>
      <tr>
        <td><?php _e("Item Description Color", "wfm-lang"); ?>:</td>
        <td>
          <input type="text" name="wfm_prod_des_color" size="10" id="wfm_prod_des_color" class="color" value="<?php echo get_option('wfm_prod_des_color') ?>" /> 
        </td>
      </tr>
      <tr>
        <td><?php _e("Item background color", "wfm-lang"); ?>:</td>
        <td>
          <input type="text" name="wfm_item_bg" size="10" id="wfm_item_bg" class="color" value="<?php echo get_option('wfm_item_bg') ?>" /> 
        </td>
      </tr>      
      <tr>
        <td><?php _e("Border color", "wfm-lang"); ?>:</td>
        <td>
          <input type="text" name="wfm_border" size="10" id="wfm_border" class="color" value="<?php echo get_option('wfm_border') ?>" /> 
        </td>
      </tr>
      <tr valign="top">
        <td colspan="2" scope="row">			
          <input type="button" name="save" onclick="document.getElementById('wfm_status_submit').value = '1'; document.getElementById('wfm_options').submit();" value="<?php _e("Save setting", "wfm-lang"); ?>" class="button-primary" />
          <input type="button" name="reset" onclick="document.getElementById('wfm_status_submit').value = '2'; document.getElementById('wfm_options').submit();" value="<?php _e("Reset to default setting", "wfm-lang"); ?>" class="button-primary" />
        </td> 
      </tr>
      </td>
      </tr>
      
    </table>
  </form>   
  <?php
}